org.eclipse.jetty.security.authentication

## Interface LoginCallback

All Known Implementing Classes:
  LoginCallbackImpl

    public interface LoginCallback

This is similar to the jaspi PasswordValidationCallback but includes user principal and group info as well.

Version:
  $Rev: 4792 $ $Date: 2009-03-18 22:55:52 +0100 (Wed, 18 Mar 2009) $

### Method Summary

Methods
`void` `clearPassword()`
`Object` `getCredential()`
`String[]` `getRoles()`
`Subject` `getSubject()`
`String` `getUserName()`
`Principal` `getUserPrincipal()`
`boolean` `isSuccess()`
`void` `setRoles(String[] roles)`
`void` `setSuccess(boolean success)`
`void` `setUserPrincipal(Principal userPrincipal)`

### Method Detail

#### getSubject

    Subject getSubject()

#### getUserName

    String getUserName()

#### getCredential

    Object getCredential()

#### isSuccess

    boolean isSuccess()

#### setSuccess

    void setSuccess(boolean success)

#### getUserPrincipal

    Principal getUserPrincipal()

#### setUserPrincipal

    void setUserPrincipal(Principal userPrincipal)

#### getRoles

    String[] getRoles()

#### setRoles

    void setRoles(String[] roles)

#### clearPassword

    void clearPassword()